---
title: ECA Library - Multi value field loop
version: v2
tags:
- bpmn
- library
- use case
- loop
- multi value field
---
# Multi value field loop

Version v2

<script>url='bpmn_io-eca_lib_0006.xml';archive='bpmn_io-eca_lib_0006.tar.gz'</script>
{!include/library/viewer.html!}

Instead of downloading the archive, you can download and apply this model as a recipe (Drupal 10.3 or later):


```shell
## Import recipe
composer require drupal-eca-recipe/eca_lib_0006

# Enable recipe with Drush (requires version 13 or later):
drush recipe ../recipes/eca_lib_0006

# Enable recipe without Drush:
cd web && php core/scripts/drupal recipe ../recipes/eca_lib_0006

# Rebuilding caches is optional, sometimes required:
drush cr
```

## Purpose

This model demonstrates how to loop over all values of a multi value field without using custom events.

## Dependencies

- config
    - field.field.user.user.field_user_networks
    - field.storage.user.field_user_networks
    - taxonomy.vocabulary.networks
- module
    - eca_base
    - eca_content
    - eca_user
    - taxonomy
    - user

## Used plugins

### Events

- [Login of a user](/plugins/eca/user/events/user_login.md)

### Conditions

- [Compare number of list items](/plugins/eca/base/conditions/eca_count.md)

### Actions

- [Put list of user networks into a token](/plugins/eca/base/actions/eca_token_set_value.md)
- [Pop an item from the list](/plugins/eca/base/actions/eca_list_remove.md)
- [Print message](/plugins/core/actions/action_message_action.md)
- [Load term](/plugins/eca/content/actions/eca_token_load_entity.md)

## Changelog

`v1`

:   Initial version

`v2`

:   Fix token syntax for loading a term entity, see https://www.drupal.org/project/eca/issues/3506997
