---
title: "Save config"
tags:
- event
- eca_config
- eca event 1.0.0
---
# Save config

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[config]` | The configuration with all current values. |
    | `[config_original]` | The configuration with all original values plus overrides. |
    | `[config_name]` | The name of the configuration. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_config/event/config_save.md!}

## Fields

This event provides three tokens:&lt;ul&gt;&lt;li&gt;&lt;em&gt;&quot;[config:*]&quot;&lt;/em&gt; to access properties of a configuration&lt;/li&gt;&lt;li&gt;&lt;em&gt;&quot;[config_original:*]&quot;&lt;/em&gt; to access the original unchanged values&lt;/li&gt;&lt;li&gt;and &lt;em&gt;&quot;[config_name]&quot;&lt;/em&gt; to get the machine name of a configuration (e.g. &quot;system.site&quot;)&lt;/li&gt;&lt;/ul&gt;
