---
title: "Entity: load"
tags:
- action
- eca_content
- eca action 1.0.0
---
# Entity: load

Available since: 1.0.0

Load a single entity from current scope or by certain properties, and store it as a token.

{!include/plugins/eca_content/action/eca_token_load_entity.md!}

## Fields

`Name of token`

:   Provide the name of a token that holds the loaded entity. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_token_load_entity/token_name.md!}

`Load entity from`

:   Loads the entity from the given list and/or properties below.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_token_load_entity_from</em>

    {!include/plugins/eca_content/action/eca_token_load_entity/from.md!}

`Entity type`

:   The type of the entity to be loaded.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_token_load_entity_entity_type</em>

    {!include/plugins/eca_content/action/eca_token_load_entity/entity_type.md!}

`Entity ID`

:   The ID of the entity to be loaded.

    {!include/plugins/eca_content/action/eca_token_load_entity/entity_id.md!}

`Revision ID`

:   The revision ID of the entity to be loaded.

    {!include/plugins/eca_content/action/eca_token_load_entity/revision_id.md!}

`Property values`

:   A key-value list of raw field values of the entity to load. This will only be used when loading by properties is selected above. Supports YAML format. Example:<em><br/>field_mynumber: 1</em>. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>title: "[node:title]"</em><br/>This field supports tokens.

    {!include/plugins/eca_content/action/eca_token_load_entity/properties.md!}

`Language`

:   The language code of the entity to be loaded.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_token_load_entity_langcode</em>

    {!include/plugins/eca_content/action/eca_token_load_entity/langcode.md!}

`Load latest revision`

:   Whether loading the latest revision or not.

    {!include/plugins/eca_content/action/eca_token_load_entity/latest_revision.md!}

`Load unchanged values`

:   Whether loading the unchanged values of fields or not.

    {!include/plugins/eca_content/action/eca_token_load_entity/unchanged.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_token_load_entity/object.md!}
