---
title: "Token: load route parameter"
tags:
- action
- eca_misc
- eca action 1.0.0
---
# Token: load route parameter

Available since: 1.0.0

Loads a route parameter into the token environment.

{!include/plugins/eca_misc/action/eca_token_load_route_param.md!}

## Fields

`Request`

:   The request route match.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_token_load_route_param_request</em>

    {!include/plugins/eca_misc/action/eca_token_load_route_param/request.md!}

`Name of route parameter`

:   The routes and their parameters can be found in the <em>MODULE.routing.yml</em> file. Example for the route <em>entity.node.preview</em>: <em>/node/preview/{node_preview}/{view_mode_id}</em> where <em>node_preview</em> and <em>view_mode_id</em> are the parameter names.<br/>This field supports tokens.

    {!include/plugins/eca_misc/action/eca_token_load_route_param/parameter_name.md!}

`Name of token`

:   The name of the token, the parameter value gets stored into. Please provide the token name only, without brackets.

    {!include/plugins/eca_misc/action/eca_token_load_route_param/token_name.md!}
