---
title: "Route match"
tags:
- condition
- eca_misc
- eca condition 1.0.0
---
# Route match

Available since: 1.0.0

Gets and compares the name of the route.

{!include/plugins/eca_misc/condition/eca_route_match.md!}

## Fields

`Request`

:   The request route match.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_route_match_request</em>

    {!include/plugins/eca_misc/condition/eca_route_match/request.md!}

`Route name`

:   The routes and their parameters can be found in the <em>MODULE.routing.yml</em> file, e.g. the route name <em>entity.node.preview</em>.

    {!include/plugins/eca_misc/condition/eca_route_match/route.md!}

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_route_match_operator</em>

    {!include/plugins/eca_misc/condition/eca_route_match/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_route_match_type</em>

    {!include/plugins/eca_misc/condition/eca_route_match/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_misc/condition/eca_route_match/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_misc/condition/eca_route_match/negate.md!}
