---
title: "Response created"
tags:
- event
- eca_misc
- eca event 1.0.0
---
# Response created

Available since: 1.0.0

Fires, once a response was created for replying to a request.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:method]` | The request method, e.g. &quot;GET&quot; or &quot;POST&quot;. |
    | `[event:path]` | The requested path. |
    | `[event:query]` | The query arguments of the request. |
    | `[event:headers]` | The request headers. |
    | `[event:content_type]` | The content type of the request. |
    | `[event:content]` | The content of the POST request. |
    | `[event:ip]` | The client IP. |
    | `[event:code]` | The response code. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_misc/event/kernel_response.md!}

