---
title: "Render: file contents"
tags:
- action
- eca_render
- eca action 1.1.0
---
# Render: file contents

Available since: 1.1.0



{!include/plugins/eca_render/action/eca_render_file_contents.md!}

## Fields

`URI`

:   Either the relative path of the file or a full URL.

    {!include/plugins/eca_render/action/eca_render_file_contents/uri.md!}

`Encoding`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_file_contents_encoding</em>

    {!include/plugins/eca_render/action/eca_render_file_contents/encoding.md!}

`Token name for MIME type`

:   Optionally define the name of a token, that stores the detected MIME type of the file.

    {!include/plugins/eca_render/action/eca_render_file_contents/token_mime_type.md!}

`Machine name`

:   Optionally define a machine name of this render element. It will be made available under that name in the render array of the current event in scope. Nested elements can be set with using "][" brackets, for example <em>details][title</em>.

    {!include/plugins/eca_render/action/eca_render_file_contents/name.md!}

`Token name`

:   Optionally define a token name of this render element. It will be made available under that token name for later usage. Please provide the token name only, without brackets.

    {!include/plugins/eca_render/action/eca_render_file_contents/token_name.md!}

`Element weight`

:   Optionally specify an element weight. The lower the weight, the element appears before other elements having a higher weight.

    {!include/plugins/eca_render/action/eca_render_file_contents/weight.md!}

`Build mode`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_file_contents_mode</em>

    {!include/plugins/eca_render/action/eca_render_file_contents/mode.md!}
