---
title: "Tamper: Find replace (multiline)"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Find replace (multiline)

Available since: 1.0.0

Find and replace text, with multiple search/replacement patterns defined together.

{!include/plugins/eca_tamper/action/eca_tamper_find_replace_multiline.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_find_replace_multiline/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_find_replace_multiline/eca_token_name.md!}

`Text to find and the replacements`

:   Enter one match per line in the format <code>search|replacement</code>, though the separator can be changed below.
The replacements will be processed in order provided above.

    {!include/plugins/eca_tamper/action/eca_tamper_find_replace_multiline/find_replace.md!}

`Search/replacement value separator`

:   Control the character used to separate the "search" from the "replace" string in the field above. Defaults to "|", to match the value separator used on the Drupal core list fields.

    {!include/plugins/eca_tamper/action/eca_tamper_find_replace_multiline/separator.md!}

`Case sensitive`

:   If checked, "book" will match "book" but not "Book" or "BOOK".

    {!include/plugins/eca_tamper/action/eca_tamper_find_replace_multiline/case_sensitive.md!}

`Respect word boundaries`

:   If checked, "book" will match "book" but not "bookcase".

    {!include/plugins/eca_tamper/action/eca_tamper_find_replace_multiline/word_boundaries.md!}

`Match whole word/phrase`

:   If checked, then the whole word or phrase will be matched, e.g. "book" will match "book" but not "the book". If this option is selected then "Respect word boundaries" above will be ignored.

    {!include/plugins/eca_tamper/action/eca_tamper_find_replace_multiline/whole.md!}
