---
title: "Views: Execute query"
tags:
- action
- eca_views
- eca action 1.0.0
---
# Views: Execute query

Available since: 1.0.0

Use a View to execute a query and store the results in a token that contains an indexed list of the results. Despite the type of view that you use, always get the complete entities obtained by the view. You can access the entity properties using the token style.

{!include/plugins/eca_views/action/eca_views_query.md!}

## Fields

`Name of token`

:   Name of the token available after view execution. Contains an indexed list of elements that the view returns. Please provide the token name only, without brackets.

    {!include/plugins/eca_views/action/eca_views_query/token_name.md!}

`View`

:   Select the view from the list. The view  will always return a list of complete entities.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_views_query_view_id</em>

    {!include/plugins/eca_views/action/eca_views_query/view_id.md!}

`Display`

:   Write the view <code>display id</code> to execute. Set as default to use the default view configuration.

    {!include/plugins/eca_views/action/eca_views_query/display_id.md!}

`Arguments`

:   Provide the values for contextual filters in the same order as they are defined in the view. Separate multiple values with the <code>/</code> character.

    {!include/plugins/eca_views/action/eca_views_query/arguments.md!}
